BERApplicationSpecificParser (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.asn1

## Class BERApplicationSpecificParser

- java.lang.Object
- - org.bouncycastle.asn1.BERApplicationSpecificParser

- All Implemented Interfaces:
    ASN1ApplicationSpecificParser, ASN1Encodable, InMemoryRepresentable

      public class BERApplicationSpecificParser
      extends java.lang.Object
      implements ASN1ApplicationSpecificParser

  A parser for indefinite-length application specific objects.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASN1Primitive` | `getLoadedObject()` Return an in-memory, encodable, representation of the application specific object.
    `ASN1Encodable` | `readObject()` Return the object contained in this application specific object,
    `ASN1Primitive` | `toASN1Primitive()` Return a BERApplicationSpecific representing this parser and its contents.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### readObject

          public ASN1Encodable readObject()
                                   throws java.io.IOException

      Return the object contained in this application specific object,
      Specified by:
        `readObject` in interface `ASN1ApplicationSpecificParser`
      Returns:
        the contained object.
      Throws:
        `java.io.IOException` - if the underlying stream cannot be read, or does not contain an ASN.1 encoding.

    - #### getLoadedObject

          public ASN1Primitive getLoadedObject()
                                        throws java.io.IOException

      Return an in-memory, encodable, representation of the application specific object.
      Specified by:
        `getLoadedObject` in interface `InMemoryRepresentable`
      Returns:
        a BERApplicationSpecific.
      Throws:
        `java.io.IOException` - if there is an issue loading the data.

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Return a BERApplicationSpecific representing this parser and its contents.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Returns:
        a BERApplicationSpecific